Subject: Re: Use of maildrop rfc822 and rfc2047 libraries in SWI-Prolog

From: Sam Varshavchik <[email-masked]>
Date: Sun, 22 May 2005 21:56:05 -0400

Jan Wielemaker writes:

> Now the trouble is that your libraries are GPL, while the core of
> SWI-Prolog and all its core packages are LGPL.  In theory, loading
> the mime library, which causes your code to be loaded as a shared
> object, turns the entire process with whatever the user has added
> to it to GPL.  This is undesirable.
> 
> I would like to ask permission to either distribute these libraries
> under the LGPL or make a statement that allows use with SWI-Prolog
> without turning everything to GPL.

The current versions of librfc822 and librfc2047 may be distributed under 
the terms of LGPL 2.1 only as part of, and in conjunction with SWI-Prolog.